Index: /extensions/AMenuManager/admin/amm_admin.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_admin.tpl	(revision 8961)
+++ /extensions/AMenuManager/admin/amm_admin.tpl	(revision 8962)
@@ -1,8 +1,15 @@
 <h2 style="float:right;top:-24px;position:relative;height:auto;font-size:12px;font-weight:normal;">{$plugin.AMM_VERSION}</h2>
 
-<div style="position:relative;top:-24px;clear:right;">
-  {if isset($page_nfo)}
-  <p>{$page_nfo}</p>
+<div class='helps'>
+  {if isset($pageNfo)}
+  <p>{$pageNfo}</p>
   {/if}
+</div>
+
+<div id='iBDProcessing' style="display:none;position:absolute;left:0;top:0;width:100%;height:100%;background:#000000;opacity:0.75;z-index:800;">
+  <img src="plugins/GrumPluginClasses/icons/processing.gif" style="margin-top:20%;">
+</div>
+
+<div id='iConfigState' style='display:none;'>
 </div>
 
Index: /extensions/AMenuManager/admin/amm_album.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_album.tpl	(revision 8962)
+++ /extensions/AMenuManager/admin/amm_album.tpl	(revision 8962)
@@ -0,0 +1,53 @@
+
+{literal}
+
+
+<script type="text/javascript">
+  var ac;
+
+  $(window).load(
+    function ()
+    {
+      ac=new albumConfig(
+        {},
+        {
+          g002_setting_randompic_periodicchange_deactivated:"{/literal}{'g002_setting_randompic_periodicchange_deactivated'|@translate}{literal}",
+          g002_setting_randompic_height_auto:"{/literal}{'g002_setting_randompic_height_auto'|@translate}{literal}"
+        },
+        '{/literal}{$token}{literal}',
+        {
+          'selectCat':{/literal}{$datas.albums}{literal}
+        }
+      );
+    }
+  );
+
+</script>
+{/literal}
+
+<div id='iBDProcessing' style="display:none;position:absolute;left:0;top:0;width:100%;height:100%;background:#000000;opacity:0.75;z-index:800;">
+  <img src="plugins/GrumPluginClasses/icons/processing.gif" style="margin-top:20%;">
+</div>
+
+<div id='iConfigState' style='display:none;'>
+</div>
+
+<form method="post" action="" class="general">
+  <fieldset>
+    <legend>{'g002_setting_albums_menus'|@translate}</legend>
+
+      <table class="formtable">
+        <tr>
+          <td>
+            <div id='iamm_album_selectedCat'></div>
+          </td>
+        </tr>
+      </table>
+  </fieldset>
+
+  <p>
+    <input type="button" id="iamm_submit_apply" value="{'g002_apply'|@translate}" onclick="ac.submit();">
+  </p>
+
+
+</form>
Index: /extensions/AMenuManager/admin/amm_coreBlocks.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_coreBlocks.tpl	(revision 8962)
+++ /extensions/AMenuManager/admin/amm_coreBlocks.tpl	(revision 8962)
@@ -0,0 +1,150 @@
+{literal}
+<script type="text/javascript">
+
+  var cbm,
+      resetValues = {
+        'cancel':new Array(),
+        'piwigo':new Array()
+      };
+  $(window).load(
+    function ()
+    {
+      {/literal}
+      // initialization for cancel et reset functions
+      {foreach from=$datas.coreBlocks.defaultValues item=value key=id}
+        resetValues.piwigo.push( {literal} { {/literal} id:"{$id}", block:"{$value.container}", order:{$value.order}, visibility:"{$value.visibility}" {literal} } {/literal} );
+      {/foreach}
+      {foreach from=$datas.coreBlocks.items item=value key=id}
+        resetValues.cancel.push( {literal} { {/literal} id:"{$id}", block:"{$value.container}", order:{$value.order}, visibility:"{$value.visibility}" {literal} } {/literal} );
+      {/foreach}
+      {literal}
+
+      cbm=new coreBlocks(
+        {},
+        {},
+        '{/literal}{$token}{literal}',
+        {
+          resetValues:resetValues,
+          tab:"{/literal}{$datas.tab}{literal}"
+        }
+
+      );
+    }
+  );
+</script>
+{/literal}
+
+
+<div style='padding-top:15px;'>
+{$blocksTabsheet}
+</div>
+
+
+<div id="containerPos" style='display:none;'>
+
+  <ul class='menuUl'>
+    {foreach from=$datas.menuBlocks item=block}
+      <li class='menuListItem connectedSortable pluginBox' blockId='{$block.id}'>
+
+        <table class='menuListAccess'>
+          <tr>
+            <td style='min-width: 250px;'>
+              <span class='menuListMove'><img src="{$themeconf.admin_icon_dir}/cat_move.png" class="drag_button" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}"/></span>
+              <span class='menuListName'>
+                <span style='font-weight:bold;' class='pluginBoxNameCell'>{$block.name|@translate}</span>&nbsp;[{$block.id}]<br>
+                <span style='font-style:italic;'>{if $block.owner=='piwigo'}Piwigo{else}{'g002_plugin'|@translate}&nbsp;:&nbsp;{$block.owner}{/if}</span>
+              </span>
+            </td>
+            <td style='min-width: 100px;text-align:right;'>{'g002_accessibility'|@translate}</td>
+            <td style='width:30%;'>
+              <div id='users_{$block.id}' class='menuListUsers'>
+              {ldelim}
+                "selected":{$block.users},
+                "values":
+                [
+                {foreach from=$datas.users item=user name=items}
+                  {ldelim}"value":"{$user.id}","cols":["{$user.name}"]{rdelim}{if !$smarty.foreach.items.last},{/if}
+                {/foreach}
+                ]
+              {rdelim}
+              </div>
+            </td>
+            <td style='width:30%;'>
+              <div id='groups_{$block.id}' class='menuListGroups'>
+              {ldelim}
+                "selected":{$block.groups},
+                "values":
+                [
+                {foreach from=$datas.groups item=group name=items}
+                  {ldelim}"value":"{$group.id}","cols":["{$group.name}"]{rdelim}{if !$smarty.foreach.items.last},{/if}
+                {/foreach}
+                ]
+              {rdelim}
+              </div>
+            </td>
+
+          </tr>
+        </table>
+      </li>
+    {/foreach}
+  </ul>
+
+</div>
+
+<div id="containerMenu" style='display:none;'>
+  <table>
+    <tr>
+      {foreach from=$datas.coreBlocks.blocks item=blockName key=block}
+      <td>
+        <h3>{$blockName|@translate}</h3>
+      </td>
+      {/foreach}
+      <td>&nbsp;</td>
+    </tr>
+    <tr>
+    {foreach from=$datas.coreBlocks.blocks item=blockName key=block name=items}
+      <td {if !$smarty.foreach.items.first}class='leftBar'{/if}>
+        <div id="containerMenu_{$block}" class="containerMenuBlock">
+
+          <ul class="connectedSortable categoryUl" id="menu_{$block}">
+          {foreach from=$datas.coreBlocks.items item=data key=id}
+            {if $data.container==$block}
+              <li class="categoryLi menuItem pluginBox {if $id=='qsearch'}menuItemDisabled{/if}" id="i{$id}">
+                <div class='pluginBoxNameCell'>
+                  {if $id=="qsearch"}
+                  {else}
+                  <img src="{$themeconf.admin_icon_dir}/cat_move.png" class="button drag_button" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}"/>
+                  {/if}
+                  {$data.translation|@translate}
+
+                    <img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/permissions.png"
+                         class="button drag_button visibilitySwitch"
+                         alt="{'g002_click_to_manage_rights'|@translate}"
+                         title="{'g002_click_to_manage_rights'|@translate}"
+                         style="float:right;"/>
+
+                </div>
+                <div id="i{$id}_visibility" class="visibility">
+                  {$data.visibilityForm}
+                </div>
+              </li>
+            {/if}
+          {/foreach}
+          </ul>
+        </div>
+      </td>
+    {/foreach}
+    <td class='leftBar'>
+      <div class='containerMenuBlock'>
+        <input type="button" value="{'g002_cancel'|@translate}" onclick="cbm.reset('cancel');"/><br>
+        <input type="button" value="{'g002_piwigo_default'|@translate}" onclick="cbm.reset('piwigo');"/>
+      </div>
+    </td>
+    </tr>
+  </table>
+</div>
+
+<div style='padding-top:30px;'>
+  <input style='margin-left:20px;' type="button" value="{'g002_apply'|@translate}" onclick="cbm.submit();">
+</div>
+
Index: /extensions/AMenuManager/admin/amm_coreBlocks_detail.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_coreBlocks_detail.tpl	(revision 8962)
+++ /extensions/AMenuManager/admin/amm_coreBlocks_detail.tpl	(revision 8962)
@@ -0,0 +1,13 @@
+<h3>{'User'|@translate}</h3>
+<p>
+{foreach from=$users item=values}
+  <label><input type="checkbox" value="{$values.id}" class='visibilityUser' {if $values.allowed==true} checked{/if} />&nbsp;{$values.name}</label><br/>
+{/foreach}
+</p>
+
+<h3>{'Group'|@translate}</h3>
+<p>
+{foreach from=$groups item=values}
+  <label><input type="checkbox" value="{$values.id}" class='visibilityGroup' {if $values.allowed==true} checked{/if} />&nbsp;{$values.name}</label><br/>
+{/foreach}
+</p>
Index: /extensions/AMenuManager/admin/amm_links.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_links.tpl	(revision 8962)
+++ /extensions/AMenuManager/admin/amm_links.tpl	(revision 8962)
@@ -0,0 +1,6 @@
+<div style='padding-top:15px;'>
+{$linksTabsheet}
+</div>
+<div id="pageTabContent">
+  {$sheetContent}
+</div>
Index: /extensions/AMenuManager/admin/amm_linksconfig.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_linksconfig.tpl	(revision 8961)
+++ /extensions/AMenuManager/admin/amm_linksconfig.tpl	(revision 8962)
@@ -1,67 +1,41 @@
 {literal}
 <script type="text/javascript">
+  var ulc;
 
-  //global var ; need to not have to initialize them every time a value is changed
-  var objlang;
-  var objnames = new Array('iamm_links_title');
-  var objinput = new Array();   //input text from form => objinput[name]
-  var objhidden = new Array();  //input hidden from form => objhidden[name][lang]
-
-  function init()
-  {
-    objlang = document.getElementById('islang');
-    for(i=0;i<objnames.length;i++)
+  $(window).load(
+    function ()
     {
-      objinput[i] = document.getElementById(objnames[i]);
-      objhidden[i] = new Array();
-      for(j=0;j<objlang.options.length;j++)
-      {
-        objhidden[i][j] = document.getElementById(objnames[i]+'_'+objlang.options[j].value);
-      }
+      ulc=new userLinksConfig(
+        {}, {},
+        '{/literal}{$token}{literal}',
+        {
+          'showIcons':'{/literal}{$datas.config.showIcons}{literal}',
+          'userLang':'{/literal}{$datas.selectedLang}{literal}',
+          'titles':
+            {
+            {/literal}
+            {foreach from=$datas.config.titles name=items key=langCode item=title}
+              "{$langCode}":"{$title}"{if !$smarty.foreach.items.last},{/if}
+            {/foreach}
+            {literal}
+            },
+          'langs':[
+              {/literal}
+              {foreach from=$datas.config.titles name=items key=langCode item=title}
+                "{$langCode}"{if !$smarty.foreach.items.last},{/if}
+              {/foreach}
+              {literal}
+            ]
+        }
+      );
     }
-  }
-
-  function change_lang()
-  {
-    for(i=0;i<objnames.length;i++)
-    {
-      objinput[i].value = objhidden[i][objlang.options.selectedIndex].value;
-    }
-  }
-
-  function apply_changes(input_id)
-  {
-    var obj=document.getElementById(input_id);
-    objhidden[objnames.indexOf(input_id)][objlang.options.selectedIndex].value = obj.value;
-  }
-
-  function do_translation()
-  {
-    var inputid = document.getElementById('iamm_links_title');
-    var tolang = objlang.options[objlang.options.selectedIndex].value.substr(0,2);
-
-    google_translate(inputid.value, '{/literal}{$datas.fromlang}{literal}', tolang, inputid, 'value', apply_changes, inputid.id);
-  }
-
-
+  );
 </script>
 {/literal}
 
+<form method="post" action="" class="general">
 
-
-<h3><span style="font-weight:normal"><a href="{$datas.lnk_list}" title="{'g002_configlinks'|@translate}">{'g002_linkslist'|@translate} </span></a> / {'g002_configlinks'|@translate}
-</h3>
-
-
-<form method="post" action="" class="general">
   <fieldset>
     <legend>{'g002_setting_block_menu'|@translate}</legend>
-
-    {if isset($datas.language_list) and count($datas.language_list)}
-      {foreach from=$datas.language_list key=name item=language_row}
-        <input type="hidden" name="famm_links_title_{$language_row.LANG}"
-                id="iamm_links_title_{$language_row.LANG}" value="{$language_row.MENUBARTIT}">
-      {/foreach}
-    {/if}
 
     <table class="formtable">
@@ -69,8 +43,12 @@
         <td>{'g002_setting_block_title'|@translate}</td>
         <td>
-          <input type="text" id="iamm_links_title" value="" maxlength="50" onkeyup="apply_changes('iamm_links_title');" onblur="apply_changes('iamm_links_title');"/>
-          <select onchange="change_lang();" id="islang">
-            {html_options values=$datas.language_list_values output=$datas.language_list_labels selected=$datas.lang_selected}
-          </select><br>
+          <div id="iamm_links_title"></div>
+          <div id="islang">
+            [
+            {foreach from=$datas.langs key=langCode item=langLabel name=items}
+              {ldelim}"value":"{$langCode}","cols":["{$langLabel}"]{rdelim}{if !$smarty.foreach.items.last},{/if}
+            {/foreach}
+            ]
+          </div>
         </td>
       </tr>
@@ -78,11 +56,9 @@
         <td></td>
         <td style="font-size:80%;">
-          <a style="cursor:pointer;" onclick="do_translation()">{'g002_translate'|@translate}</a>
+          <a style="cursor:pointer;" onclick="$('#iamm_links_title').inputText('doTranslation');">{'g002_translate'|@translate}</a>
         </td>
       </tr>
 
     </table>
-
-
   </fieldset>
 
@@ -93,7 +69,8 @@
         <td>{'g002_setting_link_show_icon'|@translate}</td>
         <td>
-          <select name="famm_links_show_icons" id="iamm_links_show_icons">
-            {html_options values=$datas.yesno_values output=$datas.yesno_labels selected=$datas.show_icons_selected}
-          </select>
+          <div id='iamm_links_show_icons'>
+            <label><input type="radio" value="y">&nbsp;{'g002_yesno_y'|@translate}<br></label>
+            <label><input type="radio" value="n">&nbsp;{'g002_yesno_n'|@translate}</label>
+          </div>
         </td>
       </tr>
@@ -102,13 +79,7 @@
 
   <p>
-    <input type="submit" name="famm_submit_apply" id="iamm_submit_apply" value="{'g002_apply'|@translate}" >
+    <input type="button" id="iamm_submit_apply" value="{'g002_apply'|@translate}" onclick="ulc.submit();">
   </p>
-
-  <input type="hidden" name="famm_modeedit" value="config">
 
 </form>
 
-<script type="text/javascript">
-  init();
-  change_lang();
-</script>
Index: /extensions/AMenuManager/admin/amm_linkslinks.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_linkslinks.tpl	(revision 8962)
+++ /extensions/AMenuManager/admin/amm_linkslinks.tpl	(revision 8962)
@@ -0,0 +1,132 @@
+{literal}
+<script type="text/javascript">
+  var ulm;
+
+  $(window).load(
+    function ()
+    {
+      ulm=new userLinksManage(
+        {},
+        {
+          g002_ok:"{/literal}{'g002_ok'|@translate}{literal}",
+          g002_cancel:"{/literal}{'g002_cancel'|@translate}{literal}",
+          g002_loading:"{/literal}{'g002_loading'|@translate}{literal}",
+          g002_editoflink:"{/literal}{'g002_editoflink'|@translate}{literal}",
+          g002_createoflink:"{/literal}{'g002_createoflink'|@translate}{literal}"
+        },
+        '{/literal}{$token}{literal}'
+      );
+    }
+  );
+</script>
+{/literal}
+
+
+<div class='addLink'>
+  <a onclick="ulm.edit('');">{'g002_addlink'|@translate}</a>
+</div>
+<br>
+
+<ul id='iList' class='menuUl'>
+</ul>
+
+<div id='iListOrderButtons' style='display:none;'>
+  <input id='iBtValid' type='button' value="{'g002_valid_order'|@translate}" onclick='ulm.doUpdateOrder();'>
+  <input id='iBtReset' type='button' value="{'g002_reset_order'|@translate}" onclick='ulm.load();'>
+</div>
+
+
+
+
+<div id="iDialogDelete">
+</div>
+
+
+<div id="iDialogEdit" dialogTitle="{'g002_editLink'|@translate}">
+  <div id='iBDProcessing' style="display:none;position:absolute;width:100%;height:100%;background:#000000;opacity:0.75">
+      <img src="plugins/GrumPluginClasses/icons/processing.gif" style="margin-top:100px;">
+  </div>
+
+  <table class="formtable">
+    <tr>
+      <td>{'g002_label'|@translate}</td>
+      <td><div id='iamm_label'></div></td>
+    </tr>
+
+    <tr>
+      <td>{'g002_url'|@translate}</td>
+      <td><div id='iamm_url'></div></td>
+    </tr>
+
+    <tr>
+      <td>{'g002_icon'|@translate}</td>
+      <td>
+        <div id="iamm_icon">
+          [
+          {foreach from=$datas.iconsValues key=name item=icon name=items}
+            {ldelim}"value":"{$icon.value}","cols":["&lt;img src='{$icon.img}'&gt;", "{$icon.label}"]{rdelim}{if !$smarty.foreach.items.last},{/if}
+          {/foreach}
+          ]
+        </div>
+      </td>
+    </tr>
+
+    <tr>
+      <td>{'g002_mode'|@translate}</td>
+      <td>
+        <div id="iamm_mode">
+          [
+          {foreach from=$datas.modesValues key=name item=mode name=items}
+            {ldelim}"value":"{$mode.value}","cols":["{$mode.label}"]{rdelim}{if !$smarty.foreach.items.last},{/if}
+          {/foreach}
+          ]
+        </div>
+      </td>
+    </tr>
+
+    <tr>
+      <td>{'g002_visible'|@translate}</td>
+      <td>
+        <div id="iamm_visible">
+          <label><input type="radio" value="y">&nbsp;{'g002_yesno_y'|@translate}<br></label>
+          <label><input type="radio" value="n">&nbsp;{'g002_yesno_n'|@translate}</label>
+        </div>
+      </td>
+    </tr>
+
+    <tr>
+      <td>{'g002_accessibility'|@translate}</td>
+      <td style='min-width:475px;'>
+        <div id="iamm_access">
+          <table>
+            <tr>
+              <td style='width:50%;font-weight:bold;'>{'User'|@translate}</td>
+              <td style='width:50%;font-weight:bold;'>{'Group'|@translate}</td>
+            </tr>
+            <tr>
+              <td>
+                <div id='iamm_access_users'>
+                {foreach from=$datas.access.users item=values}
+                  <label><input type="checkbox" value="{$values.id}" class='visibilityUser' />&nbsp;{$values.name}</label><br/>
+                {/foreach}
+                </div>
+              </td>
+              <td>
+                <div id='iamm_access_groups'>
+                {foreach from=$datas.access.groups item=values}
+                  <label><input type="checkbox" value="{$values.id}" class='visibilityGroup' />&nbsp;{$values.name}</label><br/>
+                {/foreach}
+                </div>
+              </td>
+            </tr>
+          </table>
+
+
+        </div>
+      </td>
+    </tr>
+
+  </table>
+
+</div>
+
Index: /extensions/AMenuManager/admin/amm_linkslinks_detail.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_linkslinks_detail.tpl	(revision 8962)
+++ /extensions/AMenuManager/admin/amm_linkslinks_detail.tpl	(revision 8962)
@@ -0,0 +1,35 @@
+{foreach from=$datas.links key=name item=link}
+<li class='connectedSortable pluginBox' linkId='{$link.id}'>
+  <table>
+    <tr>
+      <td rowspan=2 style='width:22px'><img src="{$themeconf.admin_icon_dir}/cat_move.png" class="drag_button" alt="{'Drag to re-order'|@translate}" title="{'Drag to re-order'|@translate}"/></td>
+
+      <td rowspan=2 style='width:30px;'>{if $link.icon!=""}<img src='{$link.icon}'/>{else}&nbsp;{/if}</td>
+      <td style='width:50%;'>{$link.label}</td>
+
+
+      <td>{'g002_mode'|@translate}&nbsp;:&nbsp;{$link.mode}</td>
+
+
+      <td rowspan=2 width="40px">
+        <img src="{$themeconf.admin_icon_dir}/edit_s.png"
+             class="button" alt="{'g002_edit'|@translate}"
+             title="{'g002_edit'|@translate}"
+             onclick='ulm.edit({$link.id});'/>
+        <img src="{$themeconf.admin_icon_dir}/delete.png"
+             class="button"
+             alt="{'g002_delete'|@translate}"
+             title="{'g002_delete'|@translate}"
+             onclick='ulm.remove({$link.id});'/>
+      </td>
+    </tr>
+
+    <tr>
+      <td>{$link.url}</td>
+      <td>{'g002_visible'|@translate}&nbsp;:&nbsp;{$link.visible}</td>
+    </tr>
+
+  </table>
+</li>
+{/foreach}
+
Index: /extensions/AMenuManager/admin/amm_personalised.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_personalised.tpl	(revision 8962)
+++ /extensions/AMenuManager/admin/amm_personalised.tpl	(revision 8962)
@@ -0,0 +1,134 @@
+{literal}
+<script type="text/javascript">
+  var upbm;
+
+  $(window).load(
+    function ()
+    {
+      upbm=new userPersonnalisedBlockManage(
+        {},
+        {
+          g002_ok:"{/literal}{'g002_ok'|@translate}{literal}",
+          g002_cancel:"{/literal}{'g002_cancel'|@translate}{literal}",
+          g002_loading:"{/literal}{'g002_loading'|@translate}{literal}",
+          g002_editofpersonalised:"{/literal}{'g002_editofpersonalised'|@translate}{literal}",
+          g002_createofpersonalised:"{/literal}{'g002_createofpersonalised'|@translate}{literal}"
+        },
+        '{/literal}{$token}{literal}',
+        {
+          'userLang':'{/literal}{$datas.selectedLang}{literal}',
+          'langs':[
+              {/literal}
+              {foreach from=$datas.langs name=items key=langCode item=label}
+                "{$langCode}"{if !$smarty.foreach.items.last},{/if}
+              {/foreach}
+              {literal}
+            ]
+        }
+      );
+    }
+  );
+</script>
+{/literal}
+
+
+<div class='addBlock'>
+  <a onclick="upbm.edit('');">{'g002_addsection'|@translate}</a>
+</div>
+
+
+<table id='iHeaderList' class="littlefont">
+  <tr>
+    <th>{'g002_setting_personalised_nfo'|@translate}</th>
+    <th style='width:40%;'>{'g002_title'|@translate}</th>
+    <th style='width:80px;'>{'g002_visible'|@translate}</th>
+    <th style='width:40px;'>&nbsp;</th>
+  </tr>
+</table>
+
+
+<div id='iList' class="{$themeconf.name}">
+</div>
+<div id="iListNb"></div>
+
+
+
+
+<div id="iDialogDelete">
+</div>
+
+
+<div id="iDialogEdit" dialogTitle="{'g002_editLink'|@translate}">
+  <div id='iBDProcessing' style="display:none;position:absolute;width:100%;height:100%;background:#000000;opacity:0.75">
+      <img src="plugins/GrumPluginClasses/icons/processing.gif" style="margin-top:100px;">
+  </div>
+
+  <table class="formtable">
+
+    <tr>
+      <th class='gcText2' colspan='2'>
+        {'g002_setting_personalised_properties'|@translate}
+      </th>
+    </tr>
+
+    <tr>
+      <td>{'g002_setting_personalised_nfo'|@translate}</td>
+      <td><div id='iamm_personalised_nfo'></div></td>
+    </tr>
+
+    <tr>
+      <td>{'g002_setting_block_active'|@translate}</td>
+      <td>
+        <div id='iamm_personalised_visible'>
+          <label><input type="radio" value="y">&nbsp;{'g002_yesno_y'|@translate}<br></label>
+          <label><input type="radio" value="n">&nbsp;{'g002_yesno_n'|@translate}</label>
+        </div>
+      </td>
+    </tr>
+
+
+    <tr>
+      <td colspan='2'>
+        &nbsp;
+      </td>
+    </tr>
+
+    <tr>
+      <th class='gcText2' colspan='2'>
+        {'g002_setting_block_menu'|@translate}
+      </th>
+    </tr>
+
+
+    <tr style='border-bottom:1px dotted;'>
+      <td>{'g002_setting_block_langchoice'|@translate}</td>
+      <td>
+        <div id="islang">
+          [
+          {foreach from=$datas.langs key=langCode item=langLabel name=items}
+            {ldelim}"value":"{$langCode}","cols":["{$langLabel}"]{rdelim}{if !$smarty.foreach.items.last},{/if}
+          {/foreach}
+          ]
+        </div>
+      </td>
+    </tr>
+
+    <tr>
+      <td>{'g002_setting_block_title'|@translate}</td>
+      <td>
+        <div id="iamm_personalised_title"></div>
+        <a style="cursor:pointer;font-size:80%;"  onclick="$('#iamm_personalised_title').inputText('doTranslation');">{'g002_translate'|@translate}</a>
+      </td>
+    </tr>
+
+    <tr>
+      <td>{'g002_setting_personalised_content'|@translate}</td>
+      <td>
+        <div id="iamm_personalised_content"></div>
+      </td>
+    </tr>
+
+  </table>
+
+</div>
+
Index: /extensions/AMenuManager/admin/amm_personalised_detail.tpl
===================================================================
--- /extensions/AMenuManager/admin/amm_personalised_detail.tpl	(revision 8962)
+++ /extensions/AMenuManager/admin/amm_personalised_detail.tpl	(revision 8962)
@@ -0,0 +1,24 @@
+
+<table class="littlefont">
+  {foreach from=$datas.blocks key=name item=block}
+  <tr>
+    <td>{$block.nfo}</td>
+    <td style='width:40%;'>{$block.title}</td>
+    <td style='width:80px;'>{$block.visible}</td>
+
+    <td width="40px">
+      <img src="{$themeconf.admin_icon_dir}/edit_s.png"
+           class="button" alt="{'g002_edit'|@translate}"
+           title="{'g002_edit'|@translate}"
+           onclick='upbm.edit({$block.id});'/>
+      <img src="{$themeconf.admin_icon_dir}/delete.png"
+           class="button"
+           alt="{'g002_delete'|@translate}"
+           title="{'g002_delete'|@translate}"
+           onclick='upbm.remove({$block.id});'/>
+    </td>
+  </tr>
+  {/foreach}
+</table>
+
+
